//Do not edit! This file was generated by Unity-ROS MessageGeneration.
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Unity.Robotics.ROSTCPConnector.MessageGeneration;

namespace RosMessageTypes.RosTcpEndpoint
{
    [Serializable]
    public class SocialExpressionResult : Message
    {
        public const string k_RosMessageName = "hlrc_server/SocialExpressionResult";
        public override string RosMessageName => k_RosMessageName;

        // response
        public uint result;

        public SocialExpressionResult()
        {
            this.result = 0;
        }

        public SocialExpressionResult(uint result)
        {
            this.result = result;
        }

        public static SocialExpressionResult Deserialize(MessageDeserializer deserializer) => new SocialExpressionResult(deserializer);

        private SocialExpressionResult(MessageDeserializer deserializer)
        {
            deserializer.Read(out this.result);
        }

        public override void SerializeTo(MessageSerializer serializer)
        {
            serializer.Write(this.result);
        }

        public override string ToString()
        {
            return "SocialExpressionResult: " +
            "\nresult: " + result.ToString();
        }

#if UNITY_EDITOR
        [UnityEditor.InitializeOnLoadMethod]
#else
        [UnityEngine.RuntimeInitializeOnLoadMethod]
#endif
        public static void Register()
        {
            MessageRegistry.Register(k_RosMessageName, Deserialize, MessageSubtopic.Result);
        }
    }
}
